package com.hfkj.service.coupon;

import com.hfkj.entity.BsOrderCouponNo;

import java.util.List;
import java.util.Map;

/**
 * @className: BsOrderCouponNoService
 * @author: HuRui
 * @date: 2024/5/11
 **/
public interface BsOrderCouponNoService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsOrderCouponNo data);

    /**
     * 查询详情
     * @param couNo
     * @return
     */
    BsOrderCouponNo getDetailByCouNo(String couNo);

    /**
     * 查询列表
     * @param couponOrderId
     * @return
     */
    List<BsOrderCouponNo> getListByCouponOrderId(Long couponOrderId);
    /**
     * @MethodName getListByOrderNo
     * @Description:
     * @param orderNo 
 * @return: com.hfkj.entity.BsOrderCouponNo
     * @Author: Sum1Dream
     * @Date: 2024/7/30 下午2:39
     */
    BsOrderCouponNo getListByOrderNo(String orderNo);

    /**
     * 查询列表
     * @param param
     * @return
     */
    List<BsOrderCouponNo> getList(Map<String,Object> param);

}
